Package org.bukkit.event.block

# Enum Class BlockIgniteEvent.IgniteCause

java.lang.Object
java.lang.Enum<BlockIgniteEvent.IgniteCause>
org.bukkit.event.block.BlockIgniteEvent.IgniteCause

All Implemented Interfaces:
  `Serializable`, `Comparable<BlockIgniteEvent.IgniteCause>`, `Constable`

Enclosing class:
  BlockIgniteEvent

public static enum BlockIgniteEvent.IgniteCause extends Enum<BlockIgniteEvent.IgniteCause>
An enum to specify the cause of the ignite

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARROW`
Block ignition caused by a flaming arrow.
`ENDER_CRYSTAL`
Block ignition caused by an Ender Crystal.
`EXPLOSION`
Block ignition caused by explosion.
`FIREBALL`
Block ignition caused by an entity using a fireball.
`FLINT_AND_STEEL`
Block ignition caused by a player or dispenser using flint-and-steel.
`LAVA`
Block ignition caused by lava.
`LIGHTNING`
Block ignition caused by lightning.
`SPREAD`
Block ignition caused by dynamic spreading of fire.

## Method Summary

Modifier and Type
Method
Description
`static BlockIgniteEvent.IgniteCause`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BlockIgniteEvent.IgniteCause[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LAVA

public static final BlockIgniteEvent.IgniteCause LAVA
Block ignition caused by lava.

### FLINT_AND_STEEL

public static final BlockIgniteEvent.IgniteCause FLINT_AND_STEEL
Block ignition caused by a player or dispenser using flint-and-steel.

### SPREAD

public static final BlockIgniteEvent.IgniteCause SPREAD
Block ignition caused by dynamic spreading of fire.

### LIGHTNING

public static final BlockIgniteEvent.IgniteCause LIGHTNING
Block ignition caused by lightning.

### FIREBALL

public static final BlockIgniteEvent.IgniteCause FIREBALL
Block ignition caused by an entity using a fireball.

### ENDER_CRYSTAL

public static final BlockIgniteEvent.IgniteCause ENDER_CRYSTAL
Block ignition caused by an Ender Crystal.

### EXPLOSION

public static final BlockIgniteEvent.IgniteCause EXPLOSION
Block ignition caused by explosion.

### ARROW

public static final BlockIgniteEvent.IgniteCause ARROW
Block ignition caused by a flaming arrow.

## Method Details

### values

public static BlockIgniteEvent.IgniteCause[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BlockIgniteEvent.IgniteCause valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null